%%%%%%%%%%%% 
%% Please rename this main-bibtex.tex file and the output PDF to
%% [lastname_firstname_graduationyear]
%% before submission.
%%
%% This .tex file is for use with BibTeX. Please use
%% main.tex instead if you prefer BibLaTeX.
%%%%%%%%%%%%

\documentclass[12pt]{caltech_thesis}
\usepackage[hyphens]{url}
\usepackage{lipsum}
\usepackage{graphicx}
\graphicspath{{figures/}}
\usepackage{todonotes}

%% Tentative: newtx for better-looking Times
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{newtxtext,newtxmath}

\usepackage[numbers,sort&compress]{natbib}
\usepackage{bibunits}
\defaultbibliographystyle{plainnat}
\usepackage{enumitem}

\begin{document}

% Do remember to remove the square bracket!
\title{[To be determined]}
\author{[Alvin Ka Yue Li]}

\degreeaward{[Doctor of Philosophy in Physics]}                 % Degree to be awarded
\university{California Institute of Technology}    % Institution name
\address{Pasadena, California}                     % Institution address
\unilogo{caltech.png}                                 % Institution logo
\copyyear{2024}  % Year (of graduation) on diploma
\defenddate{[Exact Date]}          % Date of defense

\orcid{[0000-0001-6728-6523]}

%% IMPORTANT: Select ONE of the rights statement below.
\rightsstatement{All rights reserved}
% \rightsstatement{All rights reserved except where otherwise noted}
% \rightsstatement{Some rights reserved. This thesis is distributed under a [name license, e.g., ``Creative Commons Attribution-NonCommercial-ShareAlike License'']}

%%  If you'd like to remove the Caltech logo from your title page, simply remove the "[logo]" text from the maketitle command
\maketitle[logo]
%\maketitle

\begin{acknowledgements}
   [Add acknowledgements here. If you do not wish to add any to your thesis, you may simply add a blank titled Acknowledgements page.]
\end{acknowledgements}

\begin{abstract}
   [This abstract must provide a succinct and informative condensation of your work. Candidates are welcome to prepare a lengthier abstract for inclusion in the dissertation, and provide a shorter one in the CaltechTHESIS record.]
\end{abstract}

\extrachapter{Published Content and Contributions}

% List your publications and contributions here.
% The list will be formatted according to \defaultbibliographystyle in the preamble. Use the "note" field instead of the "addendum" field to describe author's role.

\begin{publishedcontent}%[iknowwhattodo]
\nocite{Cahn:etal:2015,Cahn:etal:2016}
\putbib[ownpubs]
\end{publishedcontent}

%Note that it's not possible to get an existing BibTeX style to sort in reverse chronological order without modifying the \texttt{.bst} file. If you want a reverse-ordered list, the easiest thing may be to do it manually with a \texttt{description} list; an example is given in the comments of the source code below.

% \bigskip

% \begin{description}[leftmargin=2em,labelindent=0pt,labelsep=0pt]
% \SingleSpacing
% \item[] Cahn, J.~K.~B., A.~Baumschlager, et al. (2016). ``Mutations in adenine-binding pockets enhance catalytic properties of NAD (P) H-dependent enzymes''. In: \emph{Protein Engineering Design and Selection} 19.1, pp.~31--38. \textsc{doi}: \texttt{10.1093/ protein/gzv057}.

% \item[] Cahn, J.~K.~B., S. Brinkmann-Chen, et al. (2015). ``Cofactor specificity motifs and the induced fit mechanism in class I ketol-acid reductoisomerases''. In: \emph{Biochemical Journal} 468.3, pp.~475--484. \textsc{doi}: \texttt{10.1042/BJ20150183}.
% \\J.K.B.C participated in the conception of the project, solved and analyzed the crystal structures, prepared the data, and participated in the writing of the manuscript.
% \end{description}

\tableofcontents
\listoffigures
\listoftables
\printnomenclature

\mainmatter

\part{Preliminaries}

\chapter{Front matter}
\input{chapter_front_matter}

\chapter{Basics of general relativity}
\input{chapter_introduction_to_gravitational_waves}

\chapter{Introduction to gravitational waves}
\input{chapter_introduction_to_gravitational_waves}

\chapter{Data analysis of gravitational waves from compact binary coalescences - An overview}
\input{chapter_data_analysis_of_gw_from_cbc_an_overview}

\part{Work and developments related to the GstLAL search pipeline}

\chapter{The GstLAL search pipeline - An overview}
\input{chapter_gstlal_search_pipeline}

\chapter{O4a Online GstLAL analysis}
\input{chapter_gstlal_o4a_analysis}

\chapter{Building a better GstLAL ranking statistics (I): The inclusion of data quality information}
\input{chapter_idq_info}

\chapter{Building a better GstLAL ranking statistics (II): The inclusion of sky localization information}
\input{chapter_sky_localization_gstlal}

% Section III%
\part{Gravitational Lensing of Gravitational Waves}

\chapter{Introduction to gravitational lensing}
\input{chapter_introduction_to_gravitational_lensing}

\chapter{Gravitational lensing of gravitational waves - An overview}
\input{chapter_lensing_of_gw}

\chapter{The Targeted subthreshold search for strongly lensed GWs (TESLA)}
\input{chapter_tesla_traditional}

\chapter{Seven times the charm: The seven referee reports that help us to explain why TESLA is really effective}
\input{chapter_the_back_and_forth_of_tesla_journal_submission}

\chapter{Search for lensing signatures in the first half of LVK's third observing run}
\input{chapter_o3a_lensing_paper}

\chapter{Search for lensing signatures in LVK's full third observing run}
\input{chapter_full_o3_lensing_paper}

\chapter{TESLA-X: A more effective targeted search method for sub-threshold strongly lensed gravitational waves}
\input{chapter_tesla_x}

\chapter{Re-ranking possible sub-threshold lensed candidates with lensing likelihoods}
\input{chapter_lensing_likelihood}

\chapter{Future developments for the TESLA method}

\part{Summary}

\chapter{Summary and future work}
\input{chapter_summary_and_future_work}


%Start off all chapters with \verb|chapter|. \index{chapter!numbered} \verb|\extrachapter| will give you an unnumbered chapter that's added to the Table of Contents. \index{chapter!unnumbered}

Here's an example of a citation \citep{GMP81}. Here's another \citep{PP98}. These will appear in the big bibliography at the end of the thesis.
\index{bibliography}

%If you're new to \LaTeX{} and would like to begin by learning the basics, please see our free online course available at:\\ \url{https://www.overleaf.com/latex/learn/free-online-introduction-to-latex-part-1} \index{LaTeX@\LaTeX}

%You can define nomenclatures \index{nomenclature} as you talk about key terms in your thesis. So what's a galaxy? \nomenclature{Galaxy}{A system of stars independent from all other systems}


%\begin{figure}[hbt!]
%\centering
%\includegraphics[width=.3\textwidth]{caltech.png}
%\caption{This is a figure}\label{fig:logo}
%\index{figures}
%\end{figure}

%\subsection{This is a subsection}

%\begin{table}[hbt!]
%\centering
%\begin{tabular}{ll}
%\hline
%Area & Count\\
%\hline
%North & 100\\
%South & 200\\
%East & 80\\
%West & 140\\
%\hline
%\end{tabular}
%\caption{This is a table}\label{tab:sample}
%\index{tables}
%\end{table}


%Here's an endnote.\endnote{Endnotes are notes that you can use to explain text in a document.}



% Use bibunit if using bibtex/natbib
%\begin{bibunit}  
%If you'd like to have separate bibliographies at the end of each chapter, put a \verb|bibunit| around the material of each chapter, passing in the bibliography style to use, then cite as usual -- e.g.~\citep{GMP81,Ful83}. Then do a \verb|\putbib| (with the .bib file to refer to) just before the \verb|bibunit| ends. \index{bibliography!by chapter}
%
%\renewcommand{\bibsection}{\section*{\refname}}
%\putbib[example]  % the .bib file for this chapter
%\end{bibunit}

%\chapter{This is the Third Chapter}

%% If using bibtex (as opposed to biblatex), \publishedas takes TWO arguments
%\publishedas{ownpubs}{Cahn:etal:2016}

% OR you can format this paragraph manually if you have too much trouble with the above command.
% \begin{description}[leftmargin=2em,labelindent=0pt,labelsep=0pt]
% \SingleSpacing
% \item[] Cahn, J.~K.~B., S. Brinkmann-Chen, et al. (2015). ``Cofactor specificity motifs and the induced fit mechanism in class I ketol-acid reductoisomerases''. In: \emph{Biochemical Journal} 468.3, pp.~475--484. \textsc{doi}: \texttt{10.1042/BJ20150183}.
% \end{description}


%[You can have chapters that were published as part of your thesis. The text style of the body should be single column, as it was submitted to the publisher, not formatted as the publisher did.]

\bibliographystyle{plainnat}
\bibliography{example}

\appendix

%\chapter{Questionnaire}
%\chapter{Consent Form}

\printindex

%\theendnotes

%% Pocket materials at the VERY END of thesis
%\pocketmaterial
%\extrachapter{Pocket Material: Map of Case Study Solar Systems}


\end{document}
